<?php
/* $Id: holidays.ch.inc.php,v 1.3 2003/10/02 16:56:05 k-fish Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "0108") $holiday = Lang::getLanguageString("fetenationale");
elseif (date("dm", $date) == date("dm", get_first_weekday(0,12,date("Y",$date))+3600*24*4)) $holiday = Lang::getLanguageString("genevafast");
elseif (date("dm", $date) == "3112") $holiday = Lang::getLanguageString("saintsilvestre");
else {
    if (date("dm", $date) == date("dm", $easter-3600*24*2)) $holiday = Lang::getLanguageString("goodfriday");
    elseif (date("dm", $date) == date("dm", $easter+3600*24*1)) $holiday = Lang::getLanguageString("eastermonday");
    elseif (date("dm", $date) == date("dm", $easter+3600*24*39)) $holiday = Lang::getLanguageString("ascension");
    elseif (date("dm", $date) == date("dm", $easter+3600*24*50)) $holiday = Lang::getLanguageString("pentecote");
    else $holiday = "";
}
?>